Get Native Coin Holders List
GET
/blockscout/addresses
Responses
200
Token
application/jsonexchange_rate
string
REQUIRED
total_supply
string
REQUIRED
items
unknown[]
REQUIRED
Array of:
creator_address_hash
string
creation_transaction_hash
string
token
object
circulating_market_cap
string
REQUIRED
icon_url
string
REQUIRED
name
string
REQUIRED
decimals
string
REQUIRED
symbol
string
REQUIRED
address
string
REQUIRED
type
string
REQUIRED
holders
string
REQUIRED
exchange_rate
string
REQUIRED
total_supply
string
REQUIRED
coin_balance
string
exchange_rate
string
implementation_address
string
block_number_balance_updated_at
integer
hash
string
REQUIRED
implementation_name
string
name
string
is_contract
boolean
private_tags
object[]
Array of:
address_hash
string
REQUIRED
display_name
string
REQUIRED
label
string
REQUIRED
watchlist_names
object[]
Array of:
display_name
string
REQUIRED
label
string
REQUIRED
public_tags
object[]
Array of:
address_hash
string
REQUIRED
display_name
string
REQUIRED
label
string
REQUIRED
is_verified
boolean
has_beacon_chain_withdrawals
boolean
has_logs
boolean
has_token_transfers
boolean
has_tokens
boolean
has_validated_blocks
boolean
transaction_count
string
REQUIRED
next_page_params
object
REQUIRED
400
Bad Input Parameter
curl -X GET 'https://data-api.b3.fun//blockscout/addresses'
const response = await fetch('https://data-api.b3.fun//blockscout/addresses', { method: 'GET'});const data = await response.json();console.log(data);
import requestsresponse = requests.get('https://data-api.b3.fun//blockscout/addresses')print(response.json())
200
Response
{ "exchange_rate": "0.01", "total_supply": "100000000", "items": [ { "creator_address_hash": "0xEb533ee5687044E622C69c58B1B12329F56eD9ad", "creation_transaction_hash": "0x1f610ff9c1efad6b5a8bb6afcc0786cd7343f03f9a61e2544fcff908cedee924", "token": { "circulating_market_cap": "83606435600.3635", "icon_url": "https://raw.githubusercontent.com/trustwallet/assets/master/blockchains/ethereum/assets/0xdAC17F958D2ee523a2206206994597C13D831ec7/logo.png", "name": "Tether USD", "decimals": "6", "symbol": "USDT", "address": "0x394c399dbA25B99Ab7708EdB505d755B3aa29997", "type": "ERC-20", "holders": "837494234523", "exchange_rate": "0.99", "total_supply": "10000000" }, "coin_balance": "10000000", "exchange_rate": "1.01", "implementation_address": "0xEb533ee5687044E622C69c58B1B12329F56eD9ad", "block_number_balance_updated_at": 27656552, "hash": "0xEb533ee5687044E622C69c58B1B12329F56eD9ad", "implementation_name": "implementationName", "name": "contractName", "is_contract": true, "private_tags": [ { "address_hash": "0xEb533ee5687044E622C69c58B1B12329F56eD9ad", "display_name": "name to show", "label": "label" } ], "watchlist_names": [ { "display_name": "name to show", "label": "label" } ], "public_tags": [ { "address_hash": "0xEb533ee5687044E622C69c58B1B12329F56eD9ad", "display_name": "name to show", "label": "label" } ], "is_verified": true, "has_beacon_chain_withdrawals": true, "has_logs": true, "has_token_transfers": true, "has_tokens": true, "has_validated_blocks": true, "transaction_count": "1234" } ], "next_page_params": { "fetched_coin_balance": "269536604956070000000", "hash": "0xf74769d9ffe1cd17f20b283995cf9e7fa2a262ed", "items_count": 50 }}
API Playground
Try this endpoint
GET
/blockscout/addresses